[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonDefs.Create

Create a new instance of a TDaemonDefs collection.

## Declaration

Source position: daemonapp.pp line 285

`public constructor TDaemonDefs.Create(`
`AOwner: TPersistent;`
`AClass: TCollectionItemClass`
`);`

## Arguments

`AOwner` |  | Collection owner
`AClass` |  | Item class.

## Description

Create creates a new instance of the TDaemonDefs collection. It keeps the AOwner parameter for future reference and calls the inherited constructor.

Normally it is not necessary to create an instance of TDaemonDefs manually. The global TCustomDaemonMapper instance will create a collection and maintain it.

## See also

TDaemonDef |  | Daemon definition